- Qt 5.5
- Qt Quick Controls
- QML Types
- StatusIndicatorStyle QML Type
- Qt 5.5.1 Reference Documentation

# StatusIndicatorStyle QML Type

Provides custom styling for StatusIndicatorStyle. More...

Import Statement: | import QtQuick.Controls.Styles 1.4
Since: | Qt 5.5

- List of all members, including inherited members

## Properties

- color : color
- control : StatusIndicator
- indicator : Component

## Detailed Description

You can create a custom status indicator by defining the indicator component.

## Property Documentation

color : color

The color that instances of StatusIndicator will have. The color property in StatusIndicator will override this property when set.

read-onlycontrol : StatusIndicator

The StatusIndicator that this style is attached to.

indicator : Component

This defines the indicator in both its on and off status.